# Uses of Class
org.apache.lucene.index.DocValuesSkipper

Packages that use DocValuesSkipper
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

## Uses of DocValuesSkipper in org.apache.lucene.codecs

Methods in org.apache.lucene.codecs that return DocValuesSkipper
Modifier and Type
Method
Description
`abstract DocValuesSkipper`
DocValuesProducer.`getSkipper(FieldInfo field)`
Returns a `DocValuesSkipper` for this field.

## Uses of DocValuesSkipper in org.apache.lucene.index

Methods in org.apache.lucene.index that return DocValuesSkipper
Modifier and Type
Method
Description
`final DocValuesSkipper`
CodecReader.`getDocValuesSkipper(String field)`
`DocValuesSkipper`
FilterLeafReader.`getDocValuesSkipper(String field)`
`abstract DocValuesSkipper`
LeafReader.`getDocValuesSkipper(String field)`
Returns a `DocValuesSkipper` allowing skipping ranges of doc IDs that are not of interest, or `null` if a skip index was not indexed.
`DocValuesSkipper`
ParallelLeafReader.`getDocValuesSkipper(String field)`
`DocValuesSkipper`
EmptyDocValuesProducer.`getSkipper(FieldInfo field)`

## Uses of DocValuesSkipper in org.apache.lucene.search

Constructors in org.apache.lucene.search with parameters of type DocValuesSkipper
Modifier
Constructor
Description
``
`DocValuesRangeIterator(TwoPhaseIterator twoPhase, DocValuesSkipper skipper, long lowerValue, long upperValue, boolean queryRangeHasGaps)`